<?php



class TblblogentryscoreMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogentryscoreMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogentryscorePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogentryscorePeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogentryscore');
		$tMap->setClassname('Tblblogentryscore');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('SCORE_ENTRY', 'ScoreEntry', 'INTEGER', true, null);

		$tMap->addPrimaryKey('SCORE_USER', 'ScoreUser', 'INTEGER', true, null);

		$tMap->addColumn('SCORE_VALUE', 'ScoreValue', 'INTEGER', true, null);

	} 
} 